.chushi_container {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    height: 100vh;
    /* background-color: #f0f8ff; */
    background-color: #f0f5f5;
    /* AliceBlue 背景色 */
    padding: 20px;
    box-sizing: border-box;
    gap: 5%;
    position: relative;
}

.fancy-button {
    height: 80%;
    width: 30%;
    font-size: 50px;
    font-weight: bold;
    /* margin: 10px 0; */
    border: none;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    transition: background-color 0.3s, transform 0.2s;
    cursor: pointer;
    text-transform: uppercase;
    letter-spacing: 1px;
    color: white;
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.3);
}

.fancy-button:hover {
    transform: scale(1.05);
    /* 稍微放大 */
}

/* 淡蓝色到浅蓝色渐变 */
.fancy-button.button1 {
    background: linear-gradient(to right, #6FB1FC, #9DCEFF);
    /* 淡蓝色到浅蓝色 */
}

.fancy-button.button1:hover {
    background: linear-gradient(to right, #7FBDFF, #ADD5FF);
    /* 稍微亮一些的蓝色渐变 */
}

/* 黄色到淡黄色渐变 */
.fancy-button.button2 {
    background: linear-gradient(to right, #FFD700, #FFFACD);
    /* 金色到淡黄色渐变 */
    }
    
.fancy-button.button2:hover {
background: linear-gradient(to right, #FFDF00, #FFFDD0);
/* 稍微亮一些的黄色渐变 */
}

/* 淡绿色到薄荷绿渐变 */
.fancy-button.button3 {
    background: linear-gradient(to right, #98D8C8, #B8E0D2);
    /* 淡绿色到薄荷绿 */
}

.fancy-button.button3:hover {
    background: linear-gradient(to right, #A8E0D0, #C8ECD8);
    /* 稍微亮一些的绿色渐变 */
}



/* 底层footer */
footer{
    position: absolute;
    bottom: 0;
    height:4%;
    width: 100%;
    background-color: #0483d4;
    color: white;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 3%;
}
footer a{
    color: white;
}
footer a:hover{
    text-decoration: underline;
    text-decoration-color: white;
}